Bug 39719 - S4 Connector join script failed on DC Backup
S4 Connector join script failed on DC Backup
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Arvid Requate
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 06:57 CET by Stefan Gohmann
Modified: 2015-11-17 12:12 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-11-03 06:57:49 CET
The join of a DC Backup failed:
--------------------------------------------------------------------------------
Object created: cn=mswmi,cn=ldapschema,cn=univention,dc=deadlock44,dc=intranet

Object created: cn=container/msgpo,cn=udm_module,cn=univention,dc=deadlock44,dc=intranet

Waiting for activation of the extension object msgpo:....................................................ERROR: Master did not mark the extension object active within 180 seconds.
ERROR
ucs_registerLDAPExtension: registraton of /usr/share/univention-s4-connector/ldap/msgpo.schema failed.
--------------------------------------------------------------------------------

Afterwards, univention-run-join-scripts succeeded. I thing the 180 seconds are not enough.
Comment 1 Stefan Gohmann univentionstaff 2015-11-04 15:18:21 CET
As discussed, we should decrease the graceful restart timeouts of the slapd init script.
Comment 2 Arvid Requate univentionstaff 2015-11-04 19:24:12 CET
Ok I adjusted the graceful restart plan to HUP/10/TERM/5/KILL/1.
Joining a DC Backup and a DC Slave was successful.

Changelog adjusted.
Comment 3 Stefan Gohmann univentionstaff 2015-11-04 21:47:31 CET
* Tests: OK

* Changelog : OK

Waiting for ucs-test ...
Comment 4 Stefan Gohmann univentionstaff 2015-11-05 15:57:52 CET
(In reply to Stefan Gohmann from comment #3)
> Waiting for ucs-test ...

ucs-test were successful.
Comment 5 Stefan Gohmann univentionstaff 2015-11-17 12:12:29 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".